<?php

/**
 * BadgeExchange
 * Functions related to badges
 *
 * @package stackPHP
 * @author George Edison <admin@quickmediasolutions.com>, Marco Ceppi <marco.ceppi.use@gmail.com>
 */

require_once "StackBase.php"

class BadgeExchange extends StackBase
{
	public function __construct ( $site = NULL, $key = NULL )
	{
		// Initialize the parent class with
		// the API key and site
		parent::__construct( $site, $key );
	}

	/**
	 * All Badges
	 * Retireve a list of all badges both normal and tags
	 * 
	 * @param array $params Parameters for the API
	 * 
	 * @return false|array of badges
	 */
	public function Badges( $params = array() )
	{
		return $this->_fetchPage('badges',$params);
	}
	
	/**
	 * Badge
	 * Retireve a single badge
	 * 
	 * @param int $badge_id Unique badge indentifier
	 * @param array $params Parameters for the API
	 * 
	 * @return false|array of badge data
	 */
	public function Badge( $badge_id = NULL, $params = array() )
	{
		return ( is_numeric($badge_id) ) ? $this->_fetchPage('badges/' . $badge_id ,$params) : FALSE;
	}
	
	/**
	 * Named Badges
	 * Retireve all normal badges
	 * 
	 * @param array $params Parameters for the API
	 * 
	 * @return false|array of normal badge
	 */
	public function BadgesName( $params = array() )
	{
		return $this->_fetchPage('badges/name',$params);
	}
	
	/**
	 * Tag Badges
	 * Retireve all tag badges
	 * 
	 * @param array $params Parameters for the API
	 * 
	 * @return false|array of tag badges
	 */
	public function BadgesTag( $params = array() )
	{
		return $this->_fetchPage('badges/tags',$params);
	}
}
