<?php

/**
 * StackAuth
 * Functions related to StackAuth (Global)
 *
 * @package stackPHP
 * @author George Edison <admin@quickmediasolutions.com>, Marco Ceppi <marco.ceppi.use@gmail.com>
 */
 
require_once "StackBase.php";

class StackAuth extends StackBase
{
	public function __construct( $key = NULL )
	{
		$this->key = $key;
	}
	
	public function Sites()
	{
		$data = $this->_fetchData('http://stackauth.com/' . $this->api_version . '/sites?key=' . $this->key);

		if(get_class($data) !== FALSE && property_exists($data,'error'))
			$this->throwError("There was an error retrieving the data from the API servers.<br><br><code>" . $data->error->message . "</code>");

		return $data;
	}

	public function UsersAssociations($global_user_id)
	{
		$data = $this->_fetchData('http://stackauth.com/' . $this->api_version . '/users/' . $global_user_id . '/associated?key=' . $this->key);

		if(get_class($data) !== FALSE && property_exists($data,'error'))
			$this->throwError("There was an error retrieving the data from the API servers.<br><br><code>" . $data->error->message . "</code>");

		return $data;
	}
}

?>
