<?php

// This is a simple example of how to use
// stack.PHP

// Bring in the file
require '../StackExchange/UserExchange.php';

// Now instantiate a user object
$user_exchange = new UserExchange('serverfault');

// First, we are going to retrieve the top
// 5 users from serverfault

$users = $user_exchange->ListUsers(array('pagesize=5'));

foreach($users as $user)
{
    echo " - {$user->display_name} has {$user->reputation} rep.\n";
}

// Show the total number of users:

echo "\nThere are a total of {$user_exchange->GetTotalItems()} users on ServerFault.\n";

// Now we'll get some more information on
// user #2 from the list above

$user_2 = $user_exchange->UserProfile($users[1]->user_id);

echo "{$user_2->display_name} is {$user_2->age} years old.\n";

// Let's see what badges the second user has...

$badges = $user_exchange->UsersBadges($user_2->user_id);

echo "{$user_2->display_name} has " . count($badges) . " badges.\n";

// Lastly, we'll check how many requests we may safely make
// after this:

echo "\nYou can make " . $user_exchange->GetRateLimitCurrent() . " more API requests today.\n";

?>
